Project

General

Profile

Trying to install on Ubuntu 16.04 LTS

Added by Paul Grimes about 6 years ago

Hi guys,
I am trying to install tvheadend. I then found this
sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 379CE192D401AB61
$ sudo apt-add-repository "https://dl.bintray.com/tvheadend/deb COMPONENT"
// COMPONENT is one of the above components
$ sudo apt-get update
$ sudo apt-get install tvheadend

I entered sudo apt-add-repository "https://dl.bintray.com/tvheadend/deb stable" but then I get E: Unable to locate package tvheadend

Any ideas please?
Cheers
Paul.


Replies (35)

RE: Trying to install on Ubuntu 16.04 LTS - Added by wube wube about 6 years ago

Hi Guys,
Could you please let me know what should i put in /etc/apt/sources.list in order to install tvheadend on raspberry pi 2 running Ubuntu-mate 16.04 LTS? No matter what deb repository I add I always get "...doesn't support architecture 'armhf'" when apt-get update and "Unable to locate package tvheadend" when trying to install. Thank you for guidance.

RE: Trying to install on Ubuntu 16.04 LTS - Added by Graham H about 6 years ago

You don't say what you have tried, but it seems the official repo supports ubuntu only on x86. If you have tried the debian repo https://bintray.com/tvheadend/deb, which does support armhf, and failed then you will probably have to compile tvheadend:

https://tvheadend.org/projects/tvheadend/wiki/Building

RE: Trying to install on Ubuntu 16.04 LTS - Added by Jonathan Thomson about 6 years ago

If you'd like to try my armhf build then you can download it from here;

https://mega.nz/#!IZ4iHQyT!ggtLMOKzmmGR44X9qq7_IRIeRz9QSkbg8Nz2FgJJyEI

I cross-compiled this on Ubuntu x86_64 but haven't got round to testing it yet. This is built from git 4.1-2135~g631b6b5 using the same compilation options as the official repository;

--prefix=/usr --includedir=${prefix}/include --mandir=${prefix}/share/man --infodir=${prefix}/share/info --sysconfdir=/etc --localstatedir=/var --disable-silent-rules --libexecdir=${prefix}/lib/tvheadend --disable-maintainer-mode --disable-dependency-tracking --enable-libffmpeg_static --enable-hdhomerun_static --enable-dvbcsa --enable-bundle

RE: Trying to install on Ubuntu 16.04 LTS - Added by Tim Stowell about 6 years ago

EDIT: removed invalid link from my post

RE: Trying to install on Ubuntu 16.04 LTS - Added by Jonathan Thomson about 6 years ago

Sorry about that, first time I've ever used Mega to share a file.

New link is in my original post above - would you remind editing your post to remove the invalid link please.

RE: Trying to install on Ubuntu 16.04 LTS - Added by Jonathan Thomson about 6 years ago

For the record, I've installed it on a Raspberry Pi that I completely forgot was on my network (it's hidden in my comms cabinet on Apple HomeKit duty). The sign of a true geek when you've got RPi's in the house that you forgot where there lol.

It certainly installs/runs but I've not got any USB tuners to test it with so it's over to the community to test.

To manually install;
Download from the link above
run (as root or sudo) dpkg -i <packagename>.deb

If this is the first time TVHeadend has been installed, you might have to run (as root or sudo) 'apt-get install -f' to fix any dependency issues.

RE: Trying to install on Ubuntu 16.04 LTS - Added by Graham H about 6 years ago

Jonathan Thomson wrote:

The sign of a true geek when you've got RPi's in the house that you forgot where there lol.
It certainly installs/runs but I've not got any USB tuners to test it with so it's over to the community to test.

No, the sign of a true geek is bothering to cross-compile some software when you have no hardware to use it with ;)

RE: Trying to install on Ubuntu 16.04 LTS - Added by wube wube about 6 years ago

Thank you, everything was very helpful. I was able to install tvheadend using the thread above

(26-35/35)